function js_fromat_bl(str)
{
if (str=="")
{
return ""
}
var myregex = new RegExp(/\{\$[a-zA-Z0-9_]+\}/); 
if(myregex.test(str))
{ 
str=js_fromat_bl_sub(str);
str=js_fromat_bl(str);
return str;
}else
{ 
return str;
} 
}
function js_fromat_bl_sub(str)
{
var regex = /\{\$[a-zA-Z0-9_]+\}/;
var arr=regex.exec(str); 
str=str.replace(/\{\$[a-zA-Z0-9_]+\}/,js_fromat_bl_v(arr[0]));
return str;
}
function  js_fromat_bl_v(s)
{
s=s.replace("{","");
s=s.replace("}","");
o=document.getElementById(s);
return (o)?(o.value):("");
}